## Settings file was created by plugin KK Better Penetration v4.5.0.0
## Plugin GUID: animal42069.KKbetterpenetration

[Female Options]

## Set how close to body surface to limit penis for clipping purposes. Smaller values will result in more clipping through the body, larger values will make the shaft wander further away from the intended penetration point.
# Setting type: Single
# Default value: 0.02
Clipping Depth = 0.02

## Individual offset on colision point, to improve clipping
# Setting type: Single
# Default value: -0.04
Clipping Offset: Front Collision 0 = -0.04

## Individual offset on colision point, to improve clipping
# Setting type: Single
# Default value: 0.04
Clipping Offset: Front Collision 1 = 0.04

## Individual offset on colision point, to improve clipping
# Setting type: Single
# Default value: 0.06
Clipping Offset: Front Collision 2 = 0.06

## Individual offset on colision point, to improve clipping
# Setting type: Single
# Default value: -0.04
Clipping Offset: Back Collision 0 = -0.04

## Individual offset on colision point, to improve clipping
# Setting type: Single
# Default value: 0.02
Clipping Offset: Back Collision 1 = 0.02

## Individual offset on colision point, to improve clipping
# Setting type: Single
# Default value: 0
Clipping Offset: Back Collision 2 = 0

## Offset of the vagina target
# Setting type: Single
# Default value: 0
Target Offset: Vagina Target = 0

## Offset of the simplified inner vagina target
# Setting type: Single
# Default value: 0
Target Offset: Inner Vagina Target = 0

## Offset of the mouth target
# Setting type: Single
# Default value: 0
Target Offset: Mouth Target = 0

## Offset of the simplified inner mouth target
# Setting type: Single
# Default value: 0
Target Offset: Inner Mouth Target = 0

## Enable mouth push/pull during penetration
# Setting type: Boolean
# Default value: true
Oral Push/Pull: Enable = true

## Maximum amount to push the mouth inwards during penetration
# Setting type: Single
# Default value: 0.002
Oral Push/Pull: Max Push = 0.002

## Maximum amount to pull the mouth outwards during penetration
# Setting type: Single
# Default value: 0.006
Oral Push/Pull: Max Pull = 0.006

## How quickly to push or pull the mouth during penetration
# Setting type: Single
# Default value: 18
Oral Push/Pull: Push/Pull Rate = 18

## How quickly the mouth returns to its original shape when there is no penetration
# Setting type: Single
# Default value: 0.03
Oral Push/Pull: Return Rate = 0.03

[Male 1 Options]

## How much to scale collider length
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.5 to 1.5
Penis Collider: Length Scale = 1

## How much to scale collider radius
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.5 to 1.5
Penis Collider: Radius Scale = 1

## How much the length of the penis squishes after it has passed the squish threshold
# Setting type: Single
# Default value: 0.6
# Acceptable value range: From 0 to 1
Penis: Squish Length Factor = 0.6

## How much the girth of the penis squishes after it has passed the squish threshold
# Setting type: Single
# Default value: 0.2
# Acceptable value range: From 0 to 1
Penis: Squish Girth Factor = 0.2

## Allows the penis to begin squishing (shorten length increase girth) after this amount of the penis has penetrated.
# Setting type: Single
# Default value: 0.2
# Acceptable value range: From 0 to 1
Penis: Squish Threshold = 0.2

## Allows the penis to squish (increase girth) during oral.
# Setting type: Boolean
# Default value: false
Penis: Squish Oral Girth = false

## Simplifys penetration calclation by always having it target the same internal point.  Only valid for BP penis uncensors.
# Setting type: Boolean
# Default value: false
Simplify Penetration Calculation = false

## Simplifys oral penetration calclation by always having it target the same internal point.  Only valid for BP penis uncensors.
# Setting type: Boolean
# Default value: false
Simplify Oral Calculation = false

## Simplifys anal penetration calclation by always having it target the same internal point.  Only valid for BP penis uncensors.
# Setting type: Boolean
# Default value: false
Simplify Anal Calculation = false

## If enabled, the base of the balls will be locked to the base of the shaft
# Setting type: Boolean
# Default value: true
Rotate Balls with Shaft = true

## Limit the penis from moving laterally too much from frame to frame.
# Setting type: Boolean
# Default value: false
Limit Penis Movement = false

## Amount of movement to limit the penis to.  Smaller values result in smoother animations, but can cause clipping.
# Setting type: Single
# Default value: 0.2
Limit Penis Amount = 0.2

[Male 2 Options]

## How much to scale collider length
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.5 to 1.5
Penis Collider: Length Scale = 1

## How much to scale collider radius
# Setting type: Single
# Default value: 1
# Acceptable value range: From 0.5 to 1.5
Penis Collider: Radius Scale = 1

## How much the length of the penis squishes after it has passed the squish threshold
# Setting type: Single
# Default value: 0.6
# Acceptable value range: From 0 to 1
Penis: Squish Length Factor = 0.6

## How much the girth of the penis squishes after it has passed the squish threshold
# Setting type: Single
# Default value: 0.2
# Acceptable value range: From 0 to 1
Penis: Squish Girth Factor = 0.2

## Allows the penis to begin squishing (shorten length increase girth) after this amount of the penis has penetrated.
# Setting type: Single
# Default value: 0.2
# Acceptable value range: From 0 to 1
Penis: Squish Threshold = 0.2

## Allows the penis to squish (increase girth) during oral.
# Setting type: Boolean
# Default value: false
Penis: Squish Oral Girth = false

## Simplifys penetration calclation by always having it target the same internal point.  Only valid for BP penis uncensors.
# Setting type: Boolean
# Default value: false
Simplify Penetration Calculation = false

## Simplifys oral penetration calclation by always having it target the same internal point.  Only valid for BP penis uncensors.
# Setting type: Boolean
# Default value: false
Simplify Oral Calculation = false

## Simplifys anal penetration calclation by always having it target the same internal point.  Only valid for BP penis uncensors.
# Setting type: Boolean
# Default value: false
Simplify Anal Calculation = false

## If enabled, the base of the balls will be locked to the base of the shaft
# Setting type: Boolean
# Default value: true
Rotate Balls with Shaft = true

## Limit the penis from moving laterally too much from frame to frame.
# Setting type: Boolean
# Default value: false
Limit Penis Movement = false

## Amount of movement to limit the penis to.  Smaller values result in smoother animations, but can cause clipping.
# Setting type: Single
# Default value: 0.2
Limit Penis Amount = 0.2

